
using System;

namespace WebApi.Models
{
    public class AGV_To_MES_AgvMateria_Req
    {
        /// <summary>
        /// 任务号 唯一ID
        /// </summary>
        public string taskId
        {
            get;
            set;
        }
        /// <summary>
        /// 客户端 固定值agv
        /// </summary>
        public string clientId
        {
            get;
            set;
        }
        /// <summary>
        /// 任务类型 0叫料，1送料，2叫空托，3送空托，4点对点，5退料
        /// </summary>
        public int taskType
        {
            get;
            set;
        }
        /// <summary>
        ///  任务状态 3任务取消 21取货完成 23 放完
        /// </summary>
        public int status
        {
            get;
            set;
        }
        /// <summary>
        /// 取料点 taskType为1，3，4时必填
        /// </summary>
        public string pickStock
        {
            get;
            set;
        }
        /// <summary>
        /// 放料点 taskType为0，2，4时必填
        /// </summary>
        public string dropStock
        {
            get;
            set;
        }
        /// <summary>
        /// 托盘号
        /// </summary>
        public string palletId
        {
            get;
            set;
        }
        /// <summary>
        /// 物料号 物料编码（叫料时必填）
        /// </summary>
        public string materialId
        {
            get;
            set;
        }
        /// <summary>
        ///  需求数量
        /// </summary>
        public int requireNum
        {
            get;
            set;
        }
        /// <summary>
        ///  下发时间
        /// </summary>
        public string createTime
        {
            get;
            set;
        }
    }
}
